Page MenuHomePhabricator

evil: Remove OS version check
ClosedPublic

Authored by jptiz on Aug 4 2020, 2:30 PM.

Details

Summary

Current version checking is done with GetVersion, which is now deprecated and issues the warning:

'GetVersion' is deprecated [-Wdeprecated-declarations]

The first approach of this commit was to replace GetVersion call with the newer (and more reliable) IsWindowsVistaOrGreater() from versionhelpers.h, but nowadays it makes more sense to actually not even make that check, since it is more than unlinkely to happen that someone tries to compile/run EFL in Windows XP.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jptiz created this revision.Aug 4 2020, 2:30 PM
jptiz requested review of this revision.Aug 4 2020, 2:30 PM
jptiz edited the summary of this revision. (Show Details)Aug 4 2020, 2:30 PM
jptiz updated this revision to Diff 30977.Aug 4 2020, 3:49 PM

Reorder headers in order to have FORCEINLINE defined in versionhelpers.h

vtorri added a comment.Aug 5 2020, 3:37 AM

actually, in 2020, i prefer dropping this test... faster evil_init

jptiz added a comment.Aug 5 2020, 11:10 PM

actually, in 2020, i prefer dropping this test... faster evil_init

That's a possibility too. Gonna update this then.

jptiz updated this revision to Diff 31006.Aug 5 2020, 11:17 PM
jptiz retitled this revision from evil: Replace deprecated GetVersion with versionhelpers' API to evil: Remove OS version check.
jptiz edited the summary of this revision. (Show Details)

Change diff to actually remove OS version check completely.

vtorri accepted this revision.Aug 6 2020, 12:58 PM
This revision is now accepted and ready to land.Aug 6 2020, 12:58 PM
raster accepted this revision.Aug 7 2020, 11:19 AM
This revision was automatically updated to reflect the committed changes.